Subject: [PATCH v2 2/2] iio:adc: at91 requires the input subsystem

From: [email-masked] (Nicolas Ferre)
Date: Fri, 9 May 2014 14:57:45 +0200

On 09/05/2014 13:43, Arnd Bergmann :
> On Friday 09 May 2014 12:01:48 Nicolas Ferre wrote:
>> On 08/05/2014 16:56, Arnd Bergmann :
>>> Building the at91 adc driver with CONFIG_INPUT disabled results in this
>>> build error:
>>>
>>> ERROR: "input_event" [drivers/iio/adc/at91_adc.ko] undefined!
>>> ERROR: "input_unregister_device" [drivers/iio/adc/at91_adc.ko] undefined!
>>> ERROR: "input_free_device" [drivers/iio/adc/at91_adc.ko] undefined!
>>> ERROR: "input_register_device" [drivers/iio/adc/at91_adc.ko] undefined!
>>> ERROR: "input_set_abs_params" [drivers/iio/adc/at91_adc.ko] undefined!
>>> ERROR: "input_allocate_device" [drivers/iio/adc/at91_adc.ko] undefined!
>>>
>>> To make sure we can build random configurations, this turns on CONFIG_INPUT
>>> whenever CONFIG_AT91_ADC is enabled.
>>
>> Isn't it a "select" instead of "depends" that is required then?
> 
> It seems I fixed the patch at some point but didn't update the message.
> 
> In general, we should not mix 'depends on' and 'select' for the same symbol,
> since that causes extra confusion.
> 
> In case of CONFIG_INPUT, almost all the users do 'depends on INPUT', with
> a few exceptions that seem to be done in error.

Ok, that makes sense.

> Updated patch below.

Thanks Arnd.

> 	Arnd
> 
> 8<----
> 
>>>From 4679d63b24a681d9c6afcfdde266bae0f940e90b Mon Sep 17 00:00:00 2001
> From: Arnd Bergmann <[email-masked]>
> Date: Wed, 9 Apr 2014 17:18:10 +0200
> Subject: [PATCH] [SUBMITTED] iio:adc: at91 requires the input subsystem
> 
> Building the at91 adc driver with CONFIG_INPUT disabled results in this
> build error:
> 
> ERROR: "input_event" [drivers/iio/adc/at91_adc.ko] undefined!
> ERROR: "input_unregister_device" [drivers/iio/adc/at91_adc.ko] undefined!
> ERROR: "input_free_device" [drivers/iio/adc/at91_adc.ko] undefined!
> ERROR: "input_register_device" [drivers/iio/adc/at91_adc.ko] undefined!
> ERROR: "input_set_abs_params" [drivers/iio/adc/at91_adc.ko] undefined!
> ERROR: "input_allocate_device" [drivers/iio/adc/at91_adc.ko] undefined!
> 
> To make sure we can build random configurations, this adds a Kconfig
> dependency on CONFIG_INPUT, as we do for other similar drivers.
> 
> Signed-off-by: Arnd Bergmann <[email-masked]>
> Cc: linux-iio at vger.kernel.org
> Cc: Josh Wu <[email-masked]>
> Cc: Jonathan Cameron <[email-masked]>
> Cc: Maxime Ripard <[email-masked]>

Acked-by: Nicolas Ferre <[email-masked]>

Bye,

> 
> diff --git a/drivers/iio/adc/Kconfig b/drivers/iio/adc/Kconfig
> index 90f596d..a80d236 100644
> --- a/drivers/iio/adc/Kconfig
> +++ b/drivers/iio/adc/Kconfig
> @@ -110,6 +110,7 @@ config AD799X
>  config AT91_ADC
>  	tristate "Atmel AT91 ADC"
>  	depends on ARCH_AT91
> +	depends on INPUT
>  	select IIO_BUFFER
>  	select IIO_TRIGGERED_BUFFER
>  	select SYSFS
> 
> 
> 

-- 
Nicolas Ferre